Bug 1126644 - ovirt-iso-uploader list always error "Unable to connect to REST API. Reason: Internal Server Error"
Summary: ovirt-iso-uploader list always error "Unable to connect to REST API. Reason:...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-iso-uploader
Version: 3.5
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: 3.5.0
Assignee: Sandro Bonazzola
QA Contact: Pavel Stehlik
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 00:59 UTC by Andy Huang
Modified: 2014-08-13 08:34 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-09 09:17:17 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Andy Huang 2014-08-05 00:59:28 UTC
Description of problem:

when I use engine-iso-uploader to check iso storage:

engine-iso-uploader list

and I input admin password, it always error:

ERROR: Unable to connect to REST API.  Reason: Internal Server Error

/var/log/ovirt-engine/ovirt-iso-uploader/ovirt-iso-uploader-20140805085039.log output:

2014-08-05 08:51:00::ERROR::engine-iso-uploader::520::root:: Unable to connect to REST API.  Reason: Internal Server Error

/var/log/ovirt-engine/server.log output:

2014-08-05 08:50:59,846 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.DataSourceProvider
2014-08-05 08:50:59,848 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.DocumentProvider
2014-08-05 08:50:59,849 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.DefaultTextPlain
2014-08-05 08:50:59,850 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.StringTextStar
2014-08-05 08:50:59,851 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.InputStreamProvider
2014-08-05 08:50:59,853 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.ByteArrayProvider
2014-08-05 08:50:59,854 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.FormUrlEncodedProvider
2014-08-05 08:50:59,855 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.FileProvider
2014-08-05 08:50:59,857 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.StreamingOutputProvider
2014-08-05 08:50:59,858 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.IIOImageProvider
2014-08-05 08:50:59,859 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.atom.AtomFeedProvider
2014-08-05 08:50:59,860 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.atom.AtomEntryProvider
2014-08-05 08:50:59,861 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.JAXBXmlSeeAlsoProvider
2014-08-05 08:50:59,862 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.JAXBXmlRootElementProvider
2014-08-05 08:50:59,863 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.JAXBElementProvider
2014-08-05 08:50:59,864 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.JAXBXmlTypeProvider
2014-08-05 08:50:59,865 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.CollectionProvider
2014-08-05 08:50:59,866 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.MapProvider
2014-08-05 08:50:59,867 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.XmlJAXBContextFinder
2014-08-05 08:50:59,868 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jackson.ResteasyJacksonProvider
2014-08-05 08:50:59,869 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.json.JsonCollectionProvider
2014-08-05 08:50:59,870 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.json.JsonMapProvider
2014-08-05 08:50:59,871 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.json.JsonJAXBContextFinder
2014-08-05 08:50:59,872 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.json.JettisonElementProvider
2014-08-05 08:50:59,873 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.json.JettisonXmlRootElementProvider
2014-08-05 08:50:59,874 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.json.JettisonXmlSeeAlsoProvider
2014-08-05 08:50:59,875 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.jaxb.json.JettisonXmlTypeProvider
2014-08-05 08:50:59,876 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MultipartReader
2014-08-05 08:50:59,877 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.ListMultipartReader
2014-08-05 08:50:59,878 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataReader
2014-08-05 08:50:59,879 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MultipartRelatedReader
2014-08-05 08:50:59,880 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MapMultipartFormDataReader
2014-08-05 08:50:59,880 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MultipartWriter
2014-08-05 08:50:59,881 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataWriter
2014-08-05 08:50:59,882 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MultipartRelatedWriter
2014-08-05 08:50:59,883 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.ListMultipartWriter
2014-08-05 08:50:59,883 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MapMultipartFormDataWriter
2014-08-05 08:50:59,884 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MultipartFormAnnotationReader
2014-08-05 08:50:59,885 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MultipartFormAnnotationWriter
2014-08-05 08:50:59,886 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.MimeMultipartProvider
2014-08-05 08:50:59,887 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.XopWithMultipartRelatedReader
2014-08-05 08:50:59,888 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.multipart.XopWithMultipartRelatedWriter
2014-08-05 08:50:59,889 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.jboss.resteasy.plugins.providers.YamlProvider
2014-08-05 08:50:59,891 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.ovirt.engine.api.resteasy.json.JsonProvider
2014-08-05 08:51:00,162 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.ovirt.engine.api.xml.JAXBMessageBodyReader
2014-08-05 08:51:00,427 WARN  [org.jboss.resteasy.plugins.providers.RegisterBuiltin] (ajp--127.0.0.1-8702-1) NoClassDefFoundError: Unable to load builtin provider: org.ovirt.engine.api.pdf.FOPMessageBodyWriter
2014-08-05 08:51:00,466 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Deploying javax.ws.rs.core.Application: class org.ovirt.engine.api.restapi.BackendApplication
2014-08-05 08:51:00,466 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendEventsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,467 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendClustersResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,468 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendTemplatesResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,469 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendVnicProfilesResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,469 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendSchedulingPolicyUnitsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,470 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendSystemPermissionsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,471 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendTagsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,472 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendStorageDomainsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,473 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendApiResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,473 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendUsersResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,474 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendSchedulingPoliciesResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,474 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendJobsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,475 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendCapabilitiesResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,475 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendDisksResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,476 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendNetworksResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,477 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendDataCentersResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,477 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendHostsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,478 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendVmPoolsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,479 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendRolesResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,480 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendStorageServerConnectionsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,480 WARN  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Application.getSingletons() returned unknown class type: org.ovirt.engine.api.restapi.util.VmHelper
2014-08-05 08:51:00,481 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendInstanceTypesResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,482 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendVmsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,483 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendGroupsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,483 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendBookmarksResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,484 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (ajp--127.0.0.1-8702-1) Adding singleton resource org.ovirt.engine.api.restapi.resource.BackendDomainsResource from Application javax.ws.rs.core.Application
2014-08-05 08:51:00,485 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/api]] (ajp--127.0.0.1-8702-1) StandardWrapper.Throwable: java.lang.NoClassDefFoundError: Could not initialize class javax.ws.rs.core.MediaType
	at org.jboss.resteasy.core.MethodInjectorImpl.<init>(MethodInjectorImpl.java:84) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.InjectorFactoryImpl.createMethodInjector(InjectorFactoryImpl.java:55) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceLocator.<init>(ResourceLocator.java:47) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethodRegistry.processMethod(ResourceMethodRegistry.java:228) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethodRegistry.addResourceFactory(ResourceMethodRegistry.java:125) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethodRegistry.addResourceFactory(ResourceMethodRegistry.java:107) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethodRegistry.addResourceFactory(ResourceMethodRegistry.java:84) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethodRegistry.addSingletonResource(ResourceMethodRegistry.java:48) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.spi.ResteasyDeployment.registration(ResteasyDeployment.java:391) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.spi.ResteasyDeployment.start(ResteasyDeployment.java:225) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.init(ServletContainerDispatcher.java:67) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.init(HttpServletDispatcher.java:36) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1202) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.core.StandardWrapper.allocate(StandardWrapper.java:952) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:188) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:161) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:489) [jbossweb-7.0.13.Final.jar:]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:153) [jboss-as-web-7.1.1.Final.jar:7.1.1.Final]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:155) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102) [jbossweb-7.0.13.Final.jar:]
	at org.jboss.web.rewrite.RewriteValve.invoke(RewriteValve.java:466) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:368) [jbossweb-7.0.13.Final.jar:]
	at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:505) [jbossweb-7.0.13.Final.jar:]
	at org.apache.coyote.ajp.AjpProtocol$AjpConnectionHandler.process(AjpProtocol.java:445) [jbossweb-7.0.13.Final.jar:]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:930) [jbossweb-7.0.13.Final.jar:]
	at java.lang.Thread.run(Thread.java:745) [rt.jar:1.7.0_65]

2014-08-05 08:51:00,495 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/api].[org.ovirt.engine.api.restapi.BackendApplication]] (ajp--127.0.0.1-8702-1) Allocate exception for servlet org.ovirt.engine.api.restapi.BackendApplication: java.lang.NoClassDefFoundError: Could not initialize class javax.ws.rs.core.MediaType
	at org.jboss.resteasy.core.MethodInjectorImpl.<init>(MethodInjectorImpl.java:84) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.InjectorFactoryImpl.createMethodInjector(InjectorFactoryImpl.java:55) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceLocator.<init>(ResourceLocator.java:47) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethodRegistry.processMethod(ResourceMethodRegistry.java:228) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethodRegistry.addResourceFactory(ResourceMethodRegistry.java:125) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethodRegistry.addResourceFactory(ResourceMethodRegistry.java:107) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethodRegistry.addResourceFactory(ResourceMethodRegistry.java:84) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.core.ResourceMethodRegistry.addSingletonResource(ResourceMethodRegistry.java:48) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.spi.ResteasyDeployment.registration(ResteasyDeployment.java:391) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.spi.ResteasyDeployment.start(ResteasyDeployment.java:225) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.init(ServletContainerDispatcher.java:67) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.init(HttpServletDispatcher.java:36) [resteasy-jaxrs-2.3.2.Final.jar:]
	at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1202) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.core.StandardWrapper.allocate(StandardWrapper.java:952) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:188) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:161) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:489) [jbossweb-7.0.13.Final.jar:]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:153) [jboss-as-web-7.1.1.Final.jar:7.1.1.Final]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:155) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102) [jbossweb-7.0.13.Final.jar:]
	at org.jboss.web.rewrite.RewriteValve.invoke(RewriteValve.java:466) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109) [jbossweb-7.0.13.Final.jar:]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:368) [jbossweb-7.0.13.Final.jar:]
	at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:505) [jbossweb-7.0.13.Final.jar:]
	at org.apache.coyote.ajp.AjpProtocol$AjpConnectionHandler.process(AjpProtocol.java:445) [jbossweb-7.0.13.Final.jar:]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:930) [jbossweb-7.0.13.Final.jar:]
	at java.lang.Thread.run(Thread.java:745) [rt.jar:1.7.0_65]

Version-Release number of selected component (if applicable):

ovirt-engine-userportal-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-restapi-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-sdk-python-3.5.0.3-1.el6.noarch
ovirt-engine-setup-plugin-websocket-proxy-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-cli-3.5.0.2-1.el6.noarch
ovirt-engine-setup-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-tools-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-image-uploader-3.5.0-0.1.master.el6.noarch
ovirt-engine-jboss-as-7.1.1-1.el6.x86_64
ovirt-engine-setup-base-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-host-deploy-java-1.3.0-0.0.master.20140629072144.gitdc1f589.el6.noarch
ovirt-engine-setup-plugin-ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-release35-001-0.3.beta2.noarch
ovirt-iso-uploader-3.5.0-0.1.master.el6.noarch
ovirt-engine-extensions-api-impl-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-lib-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-dbscripts-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-backend-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-host-deploy-1.3.0-0.0.master.20140629072144.gitdc1f589.el6.noarch
ovirt-engine-websocket-proxy-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-webadmin-portal-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Doron Fediuck 2014-08-07 07:33:08 UTC
java.lang.NoClassDefFoundError: Could not initialize class javax.ws.rs.core.MediaType

This error suggests a wrong / missing artifact being used.

Comment 2 Sandro Bonazzola 2014-08-08 07:09:14 UTC
I'm not able to reproduce on EL6 with the following rpms installed from ovirt-3.5-snapshot:

 - ovirt-engine-jboss-as-7.1.1-1.el6.x86_64
 - ovirt-engine-backend-3.5.0-0.0.master.20140807172141.git209ec82.el6.noarch
 - ovirt-engine-sdk-python-3.5.0.4-1.20140728.gitec31051.el6.noarch
 - ovirt-iso-uploader-3.5.0-0.1.master.el6.noarch

Can you update your setup and try again? I think it was an SDK issue solved between beta2 and rc1.

Comment 3 Andy Huang 2014-08-09 09:17:17 UTC
I have updated to recent version, now the error disappear. It has been solved.

Now version as follow:

ovirt-engine-jboss-as-7.1.1-1.el6.x86_64
ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-backend-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-sdk-python-3.5.0.4-1.20140728.gitec31051.el6.noarch
ovirt-iso-uploader-3.5.0-0.1.master.el6.noarch


Note You need to log in before you can comment on or make changes to this bug.